> ## Documentation Index
> Fetch the complete documentation index at: https://jetemail.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get signup form health



## OpenAPI

````yaml /openapi.json get /marketing/forms/{id}/health
openapi: 3.0.0
info:
  title: JetEmail API
  version: 1.0.0
  description: API documentation for JetEmail's transactional email service.
servers:
  - url: https://api.jetemail.com
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Email
    description: Send transactional email
  - name: Outbound
    description: 'Outbound sending: keys, SMTP users, domains, logs, suppression'
  - name: Inbound
    description: Inbound routing, domains and forward destinations
  - name: DMARC
    description: DMARC aggregate-report domain setup, DNS verification and analytics
  - name: Marketing
    description: >-
      Marketing suite: templates, audiences, contacts, broadcasts, themes,
      assets and signup forms
  - name: Signup Forms
    description: Hosted signup pages and form submissions
externalDocs:
  description: Download OpenAPI Specification
  url: /openapi.json
paths:
  /marketing/forms/{id}/health:
    get:
      tags:
        - Marketing
      summary: Get signup form health
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Form health summary
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  risk:
                    type: string
                    enum:
                      - healthy
                      - guarded
                      - elevated
                      - critical
                  lastHour:
                    type: object
                    properties:
                      attempts:
                        type: integer
                      blocked:
                        type: integer
                  last24Hours:
                    type: object
                    properties:
                      attempts:
                        type: integer
                      blocked:
                        type: integer
                  pendingConfirmations:
                    type: integer
                  confirmationRate7d:
                    type: number
                    nullable: true
                  registrationProtection:
                    type: object
                    properties:
                      paused:
                        type: boolean
                      restricted:
                        type: boolean
                      pausedUntil:
                        type: integer
                        nullable: true
                      restrictedUntil:
                        type: integer
                        nullable: true
                      dailyCap:
                        type: integer
                      usedToday:
                        type: integer
                      reason:
                        type: string
                        nullable: true
                      ticketId:
                        type: string
                        nullable: true
                  outcomes24h:
                    type: object
                    additionalProperties:
                      type: integer
                  hourly:
                    type: array
                    items:
                      type: object
                      properties:
                        bucket:
                          type: integer
                        attempts:
                          type: integer
                        blocked:
                          type: integer
        '401':
          description: Missing or invalid Bearer token
        '404':
          description: Form not found
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: API key for account management endpoints. Use your api_ prefixed token.

````